# Welcome!

If you are reading this document then you are interested in contributing to Islandora. You do not need to be a programmer to speak up! By joining the Islandora community, you agree to abide by the Islandora [Code of Conduct](https://www.islandora.ca/code-of-conduct).

## Join the community!
**Onboarding Form: Submit your information through the [Onboarding Form](https://forms.gle/V9vHdbFxj4wydJCs6), and we can invite you to all the listed channels below.**

* **Slack:** Use [this invite link](https://join.slack.com/t/islandora/shared_invite/zt-1ac9k1xs5-Hbeit2twqexyJCxZQg9ZBQ) to join our Slack workspace. If you're not sure what channels you're looking for, get started by asking your questions in the #general channel!

* **Google Group:** Subscribe to the mailing list by joining the [Google Group](https://groups.google.com/g/islandora).

* **Github:** Although you can participate without a Github account, having one ensures you can be made a member of the Islandora General Members team to better enable your access to the Islandora project. Additionally, it will allow you to be tagged on relevant issues or pull requests that are of interest to you! To become a part of the Islandora General Members Github team, email community@islandora.ca or [use the Onboarding form](https://forms.gle/V9vHdbFxj4wydJCs6).

## Weekly Open Tech Call

Attend our weekly Zoom meetings on Wednesdays at 1:00 PM EST! You can access these meetings through our [Agendas](https://github.com/Islandora/islandora-community/wiki/Tech-Call-Meetings-2022) or our [Community Calendar](https://calendar.google.com/calendar/embed?src=96s6v709n719hapqtt9m8vj588%40group.calendar.google.com&ctz=America%2FToronto). We discuss the past week's Github activity in Issues and Pull Requests, and any other topics that are raised. Anybody is welcome to join the call, and add items to the agenda.

## Github Issues

Anyone with a [Github account](https://github.com/signup?source=login) can make issues. Please check the applicable places first to see if there's already a ticket. 

Issues should be added in the individual module or component's repository where applicable. For issues that are broader in scope than one module, or about the official [Islandora documentation](https://islandora.github.io/documentation/), open an issue in the [Documentation repository](https://github.com/Islandora/documentation/issues). This is also the repository for hundreds of "legacy" (but still valid) tickets from before we opened issue queues on individual repositories.

Issue templates are provided for the following:

* **Bug Report:** Report something not working in Islandora software.
* **Documentation:** Let us know if documentation is unclear, or missing.
* **Feature Request:** Start here if you would like to request a specific feature. Note that these should usually be supported by Use Cases.
* **Use Case:** Start here if you would like to outline a need with a defined scope to be addressed by Islandora software.

Issues are reviewed during the [Weekly Open Tech Call](https://github.com/Islandora/islandora-community/wiki/Tech-Call-Meetings-2022) every Wednesday at 1:00 p.m. Eastern. 

## Github Pull Requests

If you have code to address an issue, or can offer documentation, [please create a pull request (PR)](https://docs.github.com/en/pull-requests/collaborating-with-pull-requests/proposing-changes-to-your-work-with-pull-requests/creating-a-pull-request) in the appropriate repository.
Before we can merge your pull request, you must have a signed CLA or CCLA (see [below](https://islandora.github.io/documentation/contributing/CONTRIBUTING/#contributor-license-agreements)).
Code PRs must conform to [Drupal Coding Standards](https://islandora.github.io/documentation/technical-documentation/checking-coding-standards/), and [Documentation](https://islandora.github.io/documentation/) PRs must conform to our [Documentation Style Guide](https://islandora.github.io/documentation/contributing/docs_style_guide/). There are no guides specific to READMEs or other documentation (help text, etc) that lives in Drupal, but please try to write clearly and follow existing practices.
See more in our [Contributing Workflow](https://islandora.github.io/documentation/contributing/contributing-workflow/).

## New Modules
If you have code that doesn't fit within the scope of Islandora's existing repositories, but that the Islandora community is in a better position to maintain than you are, please consider using the [LSAP Process](https://docs.google.com/document/d/16_-Yk3O-gmo93ppiRmoLltkkr4fSUp1IC72hzJz6lm8/edit?usp=sharing) to contribute your code to the ownership of the Islandora Foundation.

## Contributor License Agreements

Before you set out to contribute code you will need to have completed a [Contributor License Agreement](https://github.com/Islandora/islandora-community/wiki/Onboarding-Checklist#contributor-license-agreements) or be covered by a [Corporate Contributor License Agreement](https://github.com/Islandora/islandora-community/wiki/Onboarding-Checklist#contributor-license-agreements). This license is for your protection as a contributor as well as the protection of the Foundation and its users; it does not change your rights to use your own contributions for any other purpose.
